{% extends 'spritju/base_generic.html' %}
{% load static %}
{% block meta %}
    <!DOCTYPE html>
    <html lang="en">
    <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="keywords" content="{{ PD.Meta_keywords }}"/>
    <meta name="description" content="{{ PD.Meta_description }}"/>
    <meta name="author" content="Zili.ir"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <title>{{ PD.title }}</title>
{% endblock %}


{% block body %}
    <section class="d-flex align-items-center section-bg">


        <div class="container">
            <br>
            <div class="row">
                <div class="col-md-9 mb40">
                    <article>
                        {% if PD.post_image %}
                            <img class="img-fluid mb30" src="{{ PD.post_image.url }}" alt="">
                        {% endif %}
                        <div class="post-content">
                            <h3>{{ PD.title }}</h3>
                            <ul class="post-meta list-inline">
                                <li class="list-inline-item">
                                    <i class="fa fa-user-circle-o"></i> <a href="#"> {{ PD.author }} </a>
                                </li>
                                <li class="list-inline-item">
                                    <i class="fa fa-calendar-o"></i> <a href="#">{{ PD.created_on }}</a>
                                </li>
                                <li class="list-inline-item">
                                    <i class="fa fa-tags"></i>
                                    {% for category in PD.category.all %}
                                        <a href="{{ category.get_absolute_url }}"> {{ category.name }}</a> {% endfor %}
                                </li>
                            </ul>
                            <p>{{ PD.content|safe }}</p>
                            <ul class="list-inline share-buttons">
                                <li class="list-inline-item">Share Post:</li>
                                <li class="list-inline-item">
                                    <a href="#" class="social-icon-sm si-dark si-colored-facebook si-gray-round">
                                        <i class="fa fa-facebook"></i>
                                    </a>
                                </li>
                                <li class="list-inline-item">
                                    <a href="#" class="social-icon-sm si-dark si-colored-twitter si-gray-round">
                                        <i class="fa fa-twitter"></i>
                                    </a>
                                </li>
                                <li class="list-inline-item">
                                    <a href="#" class="social-icon-sm si-dark si-colored-linkedin si-gray-round">
                                        <i class="fa fa-linkedin"></i>
                                    </a>
                                </li>
                            </ul>
                            <hr class="mb40">
                            <h4 class="mb40 text-uppercase font500">About the Author</h4>
                            <div class="d-flex">
                                <div class="flex-shrink-0">
                                    <i class="d-flex mr-3 fa fa-user-circle fa-5x text-primary"></i>
                                </div>
                                <div class="flex-grow-1 ms-3">
                                    <h5 class="mt-0 font400 clearfix">
                                        {{ PD.author }}
                                    </h5>
                                    {{ PF.bio }}
                                </div>
                            </div>

                        <!-- show comment section if there are comments -->
                            {% if PC.count > 0 %}
                                <hr class="mb40">
                                <h4 class="mb40 text-uppercase font500">Comments</h4>

                                <div class="d-flex flex-column bd-highlight mb-5">
                                    {% for cm in PC %}
                                            <div class="d-flex align-items-center mb-5">
                                                <div class="flex-shrink-0">
                                                    <i class="d-flex mr-5 fa fa-user-circle-o fa-3x"></i>
                                                </div>
                                                <div class="flex-grow-1 ms-3">
                                                    <h6 class="text-secondary fs-6">
                                                        {{ cm.Name }}
                                                    </h6>
                                                    {{ cm.Message }}
                                                </div>
                                                {% if cm.reply %}
                                                    <div class="comments-1 comments-2">
                                                        <div class="comments-info">
                                                            <h4 class="theme-color">reply by: {{ cm.replier }}</h4>
                                                            <p>{{ cm.reply }}</p>
                                                        </div>
                                                    </div>
                                                {% endif %}
                                            </div>
                                    {% endfor %}
                                </div>
                            {% endif %}


                            <hr class="mb40">
                            <h4 class="mb40 text-uppercase font500">Post a comment</h4>

                            {% if messages %}
                                {% for  message  in messages %}
                                <div class="alert alert-{{ message.tags }}" role="alert">
                                    {{ message }}
                                </div>
                                {% endfor %}
                            {% endif %}
                            <form role="form" method="post">
                                {% csrf_token %}
                                <div class="input-group mb-3">

                                    <span class="input-group-text" id="basic-addon1"> Your name</span>
                                    {{ form.Name }}
                                </div>

                                <div class="input-group mb-3">

                                    <span class="input-group-text" id="basic-addon1"> Email</span>
                                    {{ form.Email }}
                                </div>

                                <div class="input-group mb-3">
                                    <div class="input-group">
                                        <span class="input-group-text"> Your comment</span>
                                        {{ form.Message }}
                                    </div>
                                </div>
                                <br>
                                <div class="clearfix float-end">
                                    <button type="submit" class="btn spritju-green btn-lg">Submit</button>
                                </div>
                            </form>
                        </div>
                    </article>
                    <!-- post article-->

                </div>
                <div class="col-md-3 mb40">

                    <!--/col-->
                    <div class="mb40">
                        <h4 class="sidebar-title">Categories</h4>
                        <ul class="list-unstyled categories">
                            {% for Category in Categories %}
                                <li><a href="{{ Category.get_absolute_url }}">
                                    {{ Category.name }}</a></li>
                            {% endfor %}
                        </ul>
                    </div>
                    <!--/col-->
                    <!-- latest news section
                    <div>
                        <h4 class="sidebar-title">Latest News</h4>
                        <ul class="list-unstyled">
                            <li class="media">
                                <img class="d-flex mr-3 img-fluid" width="64"
                                     src="https://bootdey.com/img/Content/avatar/avatar1.png"
                                     alt="Generic placeholder image">
                                <div class="media-body">
                                    <h5 class="mt-0 mb-1"><a href="#">Lorem ipsum dolor sit amet</a></h5> April 05, 2017
                                </div>
                            </li>
                            <li class="media my-4">
                                <img class="d-flex mr-3 img-fluid" width="64"
                                     src="https://bootdey.com/img/Content/avatar/avatar2.png"
                                     alt="Generic placeholder image">
                                <div class="media-body">
                                    <h5 class="mt-0 mb-1"><a href="#">Lorem ipsum dolor sit amet</a></h5> Jan 05, 2017
                                </div>
                            </li>
                            <li class="media">
                                <img class="d-flex mr-3 img-fluid" width="64"
                                     src="https://bootdey.com/img/Content/avatar/avatar3.png"
                                     alt="Generic placeholder image">
                                <div class="media-body">
                                    <h5 class="mt-0 mb-1"><a href="#">Lorem ipsum dolor sit amet</a></h5> March 15, 2017
                                </div>
                            </li>
                        </ul>
                    </div> -->
            </div>
        </div>

    </section>
{% endblock %}